<template>
  <div class="row">
    <div class="row row-cols-2">
      <div class="col">Name</div>
      <div class="col">: {{ data.name }}</div>
    </div>
    <div class="row row-cols-2">
      <div class="col">Date Of Birth</div>
      <div class="col">: {{ data.dateOfBirth }}</div>
    </div>
    <div class="row row-cols-2">
      <div class="col">Country Of Birth</div>
      <div class="col">: {{ data.countryOfBirth }}</div>
    </div>
    <div class="row row-cols-2">
      <div class="col">First Name</div>
      <div class="col">: {{ data.firstName }}</div>
    </div>
    <div class="row row-cols-2">
      <div class="col">Last Name</div>
      <div class="col">: {{ data.lastName }}</div>
    </div>
    <div class="row row-cols-2">
      <div class="col">Nationality</div>
      <div class="col">: {{ data.nationality }}</div>
    </div>
    <div class="row row-cols-2">
      <div class="col">Position</div>
      <div class="col">: {{ data.position }}</div>
    </div>
    <div class="row row-cols-2">
      <div class="col">Shirt Number</div>
      <div class="col">: {{ data.shirtNumber }}</div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  props: {
    idProfile: {
      type: Number,
      default: 0,
    },
  },
  data() {
    return {
      data: {},
    };
  },
  methods: {
    async getData() {
      const params = {
        headers: {
          "X-Auth-Token": "258f2af17cb14a459e29cc0cb1873d40",
        },
      };

      try {
        await axios
          .get("/api/v2/players/" + this.idProfile, params)
          .then((response) => {
            this.data = response.data;
          });
      } catch (error) {
        console.log(error);
      }
    },
  },
  mounted() {
    this.getData();
  },
};
</script>

<style lang="scss" scoped>
</style>